AuthorizeCallback (GNU cryptographic primitives and tools)
Keywords: javax.security.sasl.AuthorizeCallback,AuthorizeCallback class

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.security.sasl
Class AuthorizeCallback

    java.lang.Object
      |
      +--javax.security.sasl.AuthorizeCallback

All Implemented Interfaces:
  Callback

public class AuthorizeCallback
extends java.lang.Object
implements Callback

This callback is used by `SaslServer` to determine whether one entity (identified by an authenticated authentication ID) can act on behalf of another entity (identified by an authorization ID).

Constructor Summary
`AuthorizeCallback(java.lang.String authnID, java.lang.String authzID)` Constructs an instance of `AuthorizeCallback`.

Method Summary
`java.lang.String` | `getAuthenticationID()` Returns the authentication ID to check.
`java.lang.String` | `getAuthorizationID()` Returns the authorization ID to check.
`java.lang.String` | `getAuthorizedID()` Returns the ID of the authorized user.
`boolean` | `isAuthorized()` Determines if the identity represented by authentication ID is allowed to act on behalf of the authorization ID.
`void` | `setAuthorized(boolean authorized)` Sets if authorization is allowed or not.
`void` | `setAuthorizedID(java.lang.String id)` Sets the ID of the authorized entity.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthorizeCallback

    public AuthorizeCallback(java.lang.String authnID,
                             java.lang.String authzID)

  Constructs an instance of `AuthorizeCallback`.

Parameters:
  `authnID` - the (authenticated) authentication ID.
  `authzID` - the authorization ID.

Method Detail

### getAuthenticationID

    public java.lang.String getAuthenticationID()

  Returns the authentication ID to check.

  Returns:
    the authentication ID to check

### getAuthorizationID

    public java.lang.String getAuthorizationID()

  Returns the authorization ID to check.

  Returns:
    the authorization ID to check.

### isAuthorized

    public boolean isAuthorized()

  Determines if the identity represented by authentication ID is allowed to act on behalf of the authorization ID.

  Returns:
    `true` if authorization is allowed; `false` otherwise.
  See Also:
    `setAuthorized(boolean)`, `getAuthorizedID()`

### setAuthorized

    public void setAuthorized(boolean authorized)

  Sets if authorization is allowed or not.

  Parameters:
    `authorized` - `true` if authorization is allowed; `false` otherwise.
  See Also:
    `isAuthorized()`, `setAuthorizedID(String)`

### getAuthorizedID

    public java.lang.String getAuthorizedID()

  Returns the ID of the authorized user.

  Returns:
    the ID of the authorized user. `null` means the authorization failed.
  See Also:
    `setAuthorized(boolean)`, `setAuthorizedID(String)`

### setAuthorizedID

    public void setAuthorizedID(java.lang.String id)

  Sets the ID of the authorized entity. Called by handler only when the ID is different from `getAuthorizationID()`. For example, the ID might need to be canonicalized for the environment in which it will be used.

  See Also:
    `setAuthorized(boolean)`, `getAuthorizedID()`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
| For the latest news and information visit The GNU Crypto project
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.